Subject: Re: [bitcoin-dev] Why OpenTimestamps does not "linearize" its transactions

From: "Undiscussed Horrific Abuse, One Victim of Many" <[email-masked]>
Date: Tue, 14 Jun 2022 07:53:29 -0400

I was privately asked for more opinions. I am sharing them publicly below:

It's always been clear that OTS proves longness of duration but not
shortness. It doesn't demonstrate that an earlier work was not
published, because it hashes each document hash with private material
the author must separately publicize. Any unpublished private material
could be an earlier equivalent to a public proof.

the reason i call this 'designed to be broken' is that it lets people
rewrite history to their stories by republishing other people's
documents under different contexts.

I would not be surprised if OTS also fails to add tx history
containing its hashes to associated wallets, letting them be lost in
chain forks.